Subject: [TR] TR6 Ignition Switch Questions

From: William Brewer <[email-masked]>
Date: Wed, 10 Sep 2014 05:31:36 -0700

My ignition switch on my 1974 TR6 is problematic. The back of the switch is all wobbly and you have to stick your hand behind the switch and push it in to get contact to start the car.
     Last night I laid on my back and got back there and the whole thing just sort of wobbled apart. Now I am not sure how to get it back together.
     1. Was there supposed to be a screw that holds it all together tight?
     2. The metal socket that the porcelain part pushes in to is all wobbly. Is there a way to tighten it up?
     3. A steel ball, like a ball bearing, fell out. Where does that go?
     4. Is there a link somewhere to a TR6 ignition switch rebuilding website?
     5. How hard is it and how long does it take to change out the ignition switch? The steering wheel lock looks like something to avoid messing with.
     6. Should I just get a new switch and start over?
     Please help!     

     It might be best to contact me off-list.
     TIA,

     -Bill Brewer

** [email-masked] **

Archive: http://www.team.net/archive